Package: josm
Version: 0.0.0.20080510-1
Severity: important

Hi,

josm fails to run and I get the following error message:

$ JAVACMD=/usr/bin/jamvm josm
Using /usr/bin/jamvm to execute josm.
Couldn't find Main-Class attribute in /usr/share/josm/josm.jar Manifest.

Versions of packages josm depends on:
ii  jamvm                       1.5.1-3      virtual machine which conforms to 
ii  java-gcj-compat [java2-runt 1.0.78-1     Java runtime environment using GIJ
ii  libgettext-commons-java     0.9-1        Java classes for internationalizat
ii  libmetadata-extractor-java  2.3.1+dfsg-1 JPEG metadata extraction framework
ii  openstreetmap-map-icons-cla 2.10~pre4-3  Collection of map icons

Versions of packages josm recommends:
ii  jamvm                   1.5.1-3          virtual machine which conforms to 
ii  josm-plugins            0.0.0.20080413-1 Plugins for JOSM


$ JAVACMD=/usr/bin/gij-4.1 josm
Using /usr/bin/gij-4.1 to execute josm.
Exception in thread "main" java.lang.NoClassDefFoundError: 
org.openstreetmap.josm.Main
   at java.lang.Class.initializeClass(libgcj.so.70)
   at java.lang.Class.initializeClass(libgcj.so.70)
Caused by: java.lang.ClassNotFoundException: java.util.concurrent.Executor not 
found in 
gnu.gcj.runtime.SystemClassLoader{urls=[file:/usr/share/josm/josm.jar], 
parent=gnu.gcj.runtime.ExtensionClassLoader{urls=[], parent=null}}
   at java.net.URLClassLoader.findClass(libgcj.so.70)
   at gnu.gcj.runtime.SystemClassLoader.findClass(libgcj.so.70)
   at java.lang.ClassLoader.loadClass(libgcj.so.70)
   at java.lang.ClassLoader.loadClass(libgcj.so.70)
   at java.lang.Class.initializeClass(libgcj.so.70)
   ...1 more

Versions of packages josm depends on:
ii  gij-4.1 [java2-runtime]     4.1.1-20     The GNU Java bytecode interpreter
ii  jamvm                       1.5.1-3      virtual machine which conforms to
ii  java-gcj-compat [java2-runt 1.0.78-1     Java runtime environment using GIJ
ii  libgettext-commons-java     0.9-1        Java classes for internationalizat
ii  libmetadata-extractor-java  2.3.1+dfsg-1 JPEG metadata extraction framework
ii  openstreetmap-map-icons-cla 2.10~pre4-3  Collection of map icons

Versions of packages josm recommends:
ii  gij-4.1                 4.1.1-20         The GNU Java bytecode interpreter
ii  jamvm                   1.5.1-3          virtual machine which conforms to
ii  josm-plugins            0.0.0.20080413-1 Plugins for JOSM

and I can't use SUN's java on powerpc?

Mark


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.25-2-powerpc
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash


-- no debconf information



_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to